=== debian/changelog ===
ros-eloquent-tf2-ros (0.12.6-1bionic) bionic; urgency=high

  * Add missing visibility header include (#246 <https://github.com/ros2/geometry2/issues/246>) (#352 <https://github.com/ros2/geometry2/issues/352>)
  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>) (#331 <https://github.com/ros2/geometry2/issues/331>)
  * Moved unique_lock of messages_mutex_ to guarantee pointer (#279 <https://github.com/ros2/geometry2/issues/279>) (#282 <https://github.com/ros2/geometry2/issues/282>)
  * Porting more tests to tf2_ros (#202 <https://github.com/ros2/geometry2/issues/202>) (#225 <https://github.com/ros2/geometry2/issues/225>)
  * message filter fix (#216 <https://github.com/ros2/geometry2/issues/216>) (#221 <https://github.com/ros2/geometry2/issues/221>)
  * Contributors: Alejandro Hernández Cordero, Jacob Perron, Martin Ganeff

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-tf2-ros (0.12.5-1bionic) bionic; urgency=high

  * Adding support for view_frame (#192 <https://github.com/ros2/geometry2/issues/192>)
  * Contributors: Alejandro Hernández Cordero

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-tf2-ros (0.12.4-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-tf2-ros (0.12.3-1bionic) bionic; urgency=high

  * Remove unused setup.py files (#190 <https://github.com/ros2/geometry2/issues/190>)
  * Print out the name of the signalFailure reason instead of just its enum value (#186 <https://github.com/ros2/geometry2/issues/186>)
  * Contributors: Emerson Knapp, Vasilii Artemev

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-tf2-ros (0.12.2-1bionic) bionic; urgency=high

  * Fix tf2_monitor subscriptions QoS settings. (#196 <https://github.com/ros2/geometry2/issues/196>)
  * Contributors: Michel Hidalgo

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-tf2-ros (0.12.1-1bionic) bionic; urgency=high

  * Add convenience methods using rclcpp time types (#180 <https://github.com/ros2/geometry2/issues/180>)
  * Don't assume quaternions init to all zeros
  * Make BufferClient destructor virtual
  * Contributors: Josh Langsfeld, Shane Loretz, Thomas Moulard

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-tf2-ros (0.12.0-1bionic) bionic; urgency=high

  * Simulate work in the acceptedCallback.
  * Make Windows Debug to run the correct python executable.
  * Make BufferInterface destructor virtual.
  * Remove unnecessary and blacklisted actionlib_msgs dependency.
  * More test fixes for tf2_ros python.
  * class Clock is in clock not timer.
  * tf2_ros is not built for Python (#99 <https://github.com/ros2/geometry2/issues/99>)
  * Migrate buffer action server to ROS 2
  * Add conversion functions for durations
  * Make /tf_static use transient_local durability (#160 <https://github.com/ros2/geometry2/issues/160>)
  * Force explicit --ros-args in NodeOptions::arguments(). (#162 <https://github.com/ros2/geometry2/issues/162>)
  * Use of -r/--remap flags where appropriate. (#159 <https://github.com/ros2/geometry2/issues/159>)
  * Include tf2 headers in message_filter.h (#157 <https://github.com/ros2/geometry2/issues/157>)
  * Use ament_target_dependencies to ensure correct dependency order (#156 <https://github.com/ros2/geometry2/issues/156>)
  * Make sure that TransformListener's node gets a unique name (#129 <https://github.com/ros2/geometry2/issues/129>)
  * Fix compiler warning (#148 <https://github.com/ros2/geometry2/issues/148>)
  * Do not timeout when waiting for transforms (#146 <https://github.com/ros2/geometry2/issues/146>)
  * Fix race between timeout and transform ready callback (#143 <https://github.com/ros2/geometry2/issues/143>)
  * Fix high CPU - Use executor to spin and stop node in tf_listener thread (#119 <https://github.com/ros2/geometry2/issues/119>)
  * Catch polymorphic exceptions by reference (#138 <https://github.com/ros2/geometry2/issues/138>)
  * Add missing export build dependencies (#135 <https://github.com/ros2/geometry2/issues/135>)
  * avoid delete-non-virtual-dtor warning (#134 <https://github.com/ros2/geometry2/issues/134>)
  * Template tf2_ros::MessageFilter on the buffer type
  * Add pure virtual interface tf2_ros::AsyncBufferInterface
  * Add pure virtual interface tf2_ros::CreateTimerInterface
  * Allow tf2_monitor to be run with ROS command line args (#122 <https://github.com/ros2/geometry2/issues/122>)
  * Drop misleading ROS_* logging macros from tf2_monitor (#123 <https://github.com/ros2/geometry2/issues/123>)
  * Fix the MessageFilter init order. (#120 <https://github.com/ros2/geometry2/issues/120>)
  * Contributors: Chris Lalancette, Dan Rose, Jacob Perron, Karsten Knese, Michel Hidalgo, Scott K Logan, Shane Loretz, Vinnam Kim, bpwilcox, evshary

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-tf2-ros (0.11.3-1bionic) bionic; urgency=high

  * stop spinning TransformListener thread node in destructor (#114 <https://github.com/ros2/geometry2/issues/114>)
  * Store dedicated transform listener thread as a std::unique_ptr (#111 <https://github.com/ros2/geometry2/issues/111>)
  * enable pedantic for tf2_ros (#115 <https://github.com/ros2/geometry2/issues/115>)
  * Contributors: Hunter L. Allen, Karsten Knese, bpwilcox

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 24 May 2019 05:00:00 -0000

ros-eloquent-tf2-ros (0.11.2-1bionic) bionic; urgency=high

  * Remove stray semicolon which causes compiler error when using -Werror=pedantic (#112 <https://github.com/ros2/geometry2/issues/112>)
  * Contributors: Michael Jeronimo

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-tf2-ros (0.11.1-1bionic) bionic; urgency=high


