=== debian/control ===
Source: ros-eloquent-tf2-ros
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-pytest, ros-eloquent-ament-cmake-python, ros-eloquent-geometry-msgs, ros-eloquent-message-filters, ros-eloquent-python-cmake-module, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclpy, ros-eloquent-std-msgs, ros-eloquent-tf2, ros-eloquent-tf2-msgs, ros-eloquent-tf2-py, ros-eloquent-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-eloquent-tf2-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-geometry-msgs, ros-eloquent-message-filters, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclpy, ros-eloquent-std-msgs, ros-eloquent-tf2, ros-eloquent-tf2-msgs, ros-eloquent-tf2-py, ros-eloquent-ros-workspace
Description: This package contains the ROS bindings for the tf2 library, for both Python and C++.
